// me_Win.h   Windows-specific stuff
#ifndef CWinHandler_h
#define CWinHandler_h


// CLASS DECLARATIONS
#include <windows.h>

//----------------------------------------------------------------------------------------
// CWinHandler
// Desc: Performs windows functions, and contains information on all windows in map editor
//----------------------------------------------------------------------------------------
class CWinHandler
{
 public:
	CWinHandler();
	~CWinHandler();
	void						MessageHandler(void);
	int							MakeWindowClass(WNDPROC m_winproc, HINSTANCE *m_instance);
	int							SetupScreen(int width, int height, int color_depth, bool b_full_screen);
	int							MakeWindow(HINSTANCE *m_instance);
	int							SetupPixelFormat(void);

	void						setHwnd(HWND a_hwnd) {Hwnd = a_hwnd;}
	void						setHdc(HDC a_hdc) {Hdc = a_hdc;}
	HDC							getHdc(void) {return Hdc;}
	MSG							getMsg(void) {return Msg;}
	bool						getExit(void) {return bExit;}

	
 private:
	HWND						Hwnd;
	RECT						rScreenArea;
	HDC							Hdc;								  // global device context
	HGLRC						Hrc;  
	WNDCLASS					wcMain;				// Windows class for parent
	MSG							Msg;					// Message for message handler
	HINSTANCE*					pHinstance;				// Handle to the app's instance
	bool						bExit;
	char*						ClassName;
};





#endif